package Apdu;

/**
*
* @author Wojciech Wodo
*/
public class ECPointRapdu extends RAPDU{
   
   byte[] point;
   
   public ECPointRapdu(byte[] rapdu){
       super();
       point = new byte[rapdu.length-2-4];
       for(int i=4;i<point.length+4;i++){
           point[i-4] = rapdu[i];
       }
       sw1 = rapdu[rapdu.length-2];
       sw2 = rapdu[rapdu.length-1];
   }

   public byte[] getPoint() {
       return point;
   }
   
   
}
