package Apdu;


/**
 *
 * @author Wojciech Wodo
 */
public class MutualAuthRapdu extends RAPDU {
    
    byte[] TPicc;
    
    public MutualAuthRapdu(byte[] rapdu){
        super();
        TPicc = new byte[rapdu.length-2-4];
        for(int i=4;i<TPicc.length+4;i++){
            TPicc[i-4] = rapdu[i];
        }
        sw1 = rapdu[rapdu.length-2];
        sw2 = rapdu[rapdu.length-1];
    }

    public byte[] getTPicc() {
        return TPicc;
    }
    
}
