package Apdu;

import com.example.spaceaa.Util;

/**
*
* @author Wojciech Wodo
*/
public class NonceRapdu extends RAPDU{
   
   byte[] nonce;
   
   public NonceRapdu(byte[] rapdu){
       super();
       nonce = new byte[rapdu.length-2-4];
       for(int i=4;i<20;i++){
           nonce[i-4] = rapdu[i];
       }
       sw1 = rapdu[rapdu.length-2];
       sw2 = rapdu[rapdu.length-1];
   }
   
   public NonceRapdu(String rapduS){
       super();
       byte[] rapdu = Util.stringHexToByteHex(rapduS);
       nonce = new byte[rapdu.length-2-4];
       for(int i=4;i<20;i++){
           nonce[i-4] = rapdu[i];
       }
       sw1 = rapdu[rapdu.length-2];
       sw2 = rapdu[rapdu.length-1];
   }

   public byte[] getNonce() {
       return nonce;
   }
   
   
}
